/*
 * callbacks.h
 */

/*
 * yank  -  yet another NoteKeeper
 * Copyright (C) 1999 Michael Humann <m.hussmann@home.ins.de>
 *
 * This program is free software; you  can redistribute it and/or modify it
 * under the terms of  the GNU General  Public License as published  by the
 * Free Software Foundation;  either version 2 of  the License, or (at your
 * option) any later version.
 *
 * This program  is  distributed in the  hope  that it will  be useful, but
 * WITHOUT  ANY   WARRANTY;  without   even   the  implied    warranty   of
 * MERCHANTABILITY or    FITNESS FOR A PARTICULAR   PURPOSE.   See  the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the  GNU General Public License along
 * with this program; if not, write to the  Free Software Foundation, Inc.,
 * 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */


#ifndef YANK_CALLBACKS_H
#define YANK_CALLBACKS_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif   /* HAVE_CONFIG_H */

#include <gnome.h>
#include <gnome-xml/tree.h>
#include <gnome-xml/parser.h>
#include "app.h"
#include "notedefs.h"
#include "daycalc.h"
#include "todolist.h"

/*
 * 'real' callbacks
 */

void cb_about(GtkWidget *, gpointer);
void nothing_cb(GtkWidget *, gpointer);
void cb_new_todo(GtkWidget *, gpointer);
void cb_new_text(GtkWidget *, gpointer);
void cb_new_check(GtkWidget *, gpointer);
void cb_b_apply(GtkWidget *, gpointer);
void cb_b_cancel(GtkWidget *, gpointer);
void note_tree_row_selected(GtkCTree *, GtkCTreeNode *, gint, gpointer);
void note_tree_row_unselected (GtkCTree *, GtkCTreeNode *, gint);
gint cb_delete_event(GtkWidget *, GdkEventAny *, gpointer);
void cb_open_date_sel(GtkWidget *, gpointer);
void cb_date_sel_ok(GtkWidget *, gpointer);
void cb_todo_row_selected(GtkCList *, gint, gint, GdkEvent *);
void cb_todo_col_selected(GtkCList *, gint);
void cb_sort_todo_date(GtkWidget *, gpointer);
void cb_sort_todo_prio(GtkWidget *, gpointer);
void cb_sort_todo_date_prio(GtkWidget *, gpointer);
void cb_print_note(GtkWidget *, gpointer);
void cb_exit(GtkWidget *, gpointer);
void cb_modify_text(GtkWidget *, gpointer);
void cb_modify_check(GtkWidget *, gpointer);
void cb_modify_todo(GtkWidget *, gpointer);
void cb_text_entry_drop(GtkWidget *, GdkDragContext *, gint, gint,
                        GtkSelectionData *, guint, guint);
void cb_todo_list_drop(GtkWidget *, GdkDragContext *, gint, gint,
                       GtkSelectionData *, guint, guint);
void cb_note_tree_drop(GtkWidget *, GdkDragContext *, gint, gint,
                       GtkSelectionData *, guint, guint);

/*
 * functions to do some work
 */

gint         apply_note(void);
void         note_changed(void);
void         prepare_add(_notetype);
GtkCTreeNode *do_add_note(note_data *, GtkCTreeNode *);
void         do_edit_note(note_data *, GtkCTreeNode *);
GtkWidget    *choose_note_icon(note_data *);
void         free_note(note_data *);
void         modify_note(_notetype, GtkWindow *);

#endif  /* YANK_CALLBACKS_H */

